LINUX.ORG.RU

VLC hardware decoding

 , ,


0

1
[00007fa840000958] vdpau_avcodec generic error: decoder profile above limits: level 51 1280x720
$ vlc --version
VLC media player 2.2.4 Weatherwax (revision 2.2.3-37-g888b7e89)

mesa-vdpau-drivers, в mpv/mplayer работает. Пока не гуглил, решил спросить тут. Работает ли у вас, и на каком железе/драйверах? Версия скорее всего старая, т.к. debian stable.

★★★

Нет сынок, это фантастика. Зачем тебе влц?

anonymous ()

Fglrx, работало на hd7000. Поддерживается h264, avc, mpeg4. У интела вроде тоже есть поддержка.

i36_zubov ()

У них оно вечно глючное

fornlr ★★★★★ ()

кто-то до сих пор пользуется vlc?
попробуй mpv (bomi, smplayer)

amorpher ★★★★★ ()
Ответ на: комментарий от i36_zubov

Точнее так: vaapi вообще наглухо заточено под интел. Поэтому в fglrx пришлось гдето читерить а где то просто притворяться что сделали хотя не сделали.

i36_zubov ()
Ответ на: комментарий от amorpher

попробуй mpv (bomi, smplayer)

ТС:

в mpv/mplayer работает

gag ★★★★★ ()
Ответ на: комментарий от amorpher

Я пользуюсь mpv, просто интересно, почему оно тут не работает.

aegi ★★★ ()

Свободные дрова отвечают, что самый высокий поддерживаемый ими уровень — 41 (то есть, 4.1). Это если чип старее Tonga. Если Tonga или новее, то 52 (5.2).

В твоём видео заявлен уровень 51 (5.1). VLC спрашивает драйвер о максимальном уровне, получает 41, сравнивает с 51 и решает, что железо не потянет.

i-rinat ★★★★★ ()
Ответ на: комментарий от i-rinat

Но оно тянет же! Да, чип старый. Что-то похожее подозревал.

Проверил другие тестовые ролики - там работает.

aegi ★★★ ()
Ответ на: комментарий от aegi

Иногда правда проблема в vaapi. У меня vdpau работало на 8330 правда с синими рожами, пришлось патчить. А vaapi не работало потому что хз почему

i36_zubov ()
Ответ на: комментарий от aegi

Но оно тянет же!

Пропатчи VLC, чтобы он не проверял. Либо драйвер, чтобы больший уровень выдавал.

i-rinat ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.